Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059079 - Ensure a new connection is created after XML-RPC failure
Summary: Ensure a new connection is created after XML-RPC failure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: lab controller
Version: 0.15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.15.4
Assignee: Nick Coghlan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 06:11 UTC by Nick Coghlan
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-18 01:38:46 UTC


Attachments (Terms of Use)

Description Nick Coghlan 2014-01-29 06:11:45 UTC
Reviewing the kobo XML-RPC code suggests that kobo may sometimes (always?) attempt to reuse an existing socket connection on Python 2.6 and earlier.

I suspect this may cause misbehaviour in some circumstances (such as when the original failure was a timeout during SSL/TLS processing)

We should ensure the underlying transport is always closed in our own failure handling/XML-RPC retry loop.

Comment 1 Nick Coghlan 2014-01-29 06:27:59 UTC
On Gerrit: http://gerrit.beaker-project.org/2734

Comment 4 xjia 2014-02-14 10:17:42 UTC
After smoke test, QE didn't find regression bugs for this issue. So move to "VERIFIED"

Comment 5 Dan Callaghan 2014-02-18 01:38:46 UTC
Beaker 0.15.4 has been released.


Note You need to log in before you can comment on or make changes to this bug.